Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.management.JMRuntimeException
                      javax.management.RuntimeErrorException

All Implemented Interfaces:
  Serializable

public class RuntimeErrorException
extends JMRuntimeException

Thrown when a java.lang.error occurs.

Version:
  $Revision: 1.9 $

  Revisions:

  20020313 Juha Lindfors:

  - Overriding toString() to print out the root exception

  20020711 Adrian Brock:

  - Serialization
Author:
  Juha Lindfors, Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`RuntimeErrorException(Error e)` Construct a new RuntimeErrorException from a given error.
`RuntimeErrorException(Error e, String message)` Construct a new RuntimeErrorException from a given error and message.

Method Summary
`Throwable` | `getCause()` Retrieves the wrapped error.
`Error` | `getTargetError()` Retrieves the wrapped error.
`String` | `toString()` Returns a string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeErrorException

    public RuntimeErrorException(Error e)

  Construct a new RuntimeErrorException from a given error.

Parameters:
  `e` - the error to wrap.

### RuntimeErrorException

    public RuntimeErrorException(Error e,
                                 String message)

  Construct a new RuntimeErrorException from a given error and message.

Parameters:
  `e` - the error to wrap.
  `message` - the specified message.

Method Detail

### getTargetError

    public Error getTargetError()

  Retrieves the wrapped error.

  Returns:
    the wrapped error.

### getCause

    public Throwable getCause()

  Retrieves the wrapped error.

  Returns:
    the wrapped error.

### toString

    public String toString()

  Returns a string representation of this exception. The returned string contains this exception name, message and a string representation of the target exception if it has been set.

  Returns:
    string representation of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.